Back to Documentation

Upgrading from 2.9.x

If you are upgrading from 2.9.x or 2.10, click here for the yum update instructions.

Upgrading from 2.8 or older

Please note, version 2.8.x is no longer supported. Please see our current release notes for more information (http://soltra.com/en/documentation/ctx-soltra-edge/release-notes-edge-211/). 

If you are upgrading Soltra Edge from a previous version (2.8 or older), there are a few options to help you upgrade to the latest version of Soltra Edge. Upgrading from 2.8 or older to 2.9 or newer does entail a change to the database schema and isn't a straight-forward Yum update. However, once you make it to 2.9+, you'll be in great shape for a Yum update for future versions of Soltra Edge.

There are three options to upgrade from 2.8 or older to the latest version:

  1. Go to https://updates.soltra.com/download.php and complete the download form to get a new ova

    • Set up polling for the threat intel feed of your choice

  2. Use the In-Place Upgrade Documentation

    • This document is intended for advanced Linux users

    • The process must be followed carefully without any missed steps

    • Creating a backup is very important before you begin the upgrade process

  3. Use the 2 Machine Upgrade Documentation

    • This is an easier process but requires extra hardware/resources

 

For more information, join the conversation in the Soltra Edge Forums at forums.soltra.com.